App\Library\Amazon\Classes\AutoAccessory:
    xml_root_name: AutoAccessory
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: App\Library\Amazon\Classes\AutoAccessory\ProductTypeAType
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: float
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: float
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: float
        batteryTypeLithiumIon:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumIon
            accessor:
                getter: getBatteryTypeLithiumIon
                setter: setBatteryTypeLithiumIon
            type: integer
        batteryTypeLithiumMetal:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumMetal
            accessor:
                getter: getBatteryTypeLithiumMetal
                setter: setBatteryTypeLithiumMetal
            type: integer
        bodyPartExteriorFinish:
            expose: true
            access_type: public_method
            serialized_name: BodyPartExteriorFinish
            accessor:
                getter: getBodyPartExteriorFinish
                setter: setBodyPartExteriorFinish
            type: string
        cAPACertified:
            expose: true
            access_type: public_method
            serialized_name: CAPACertified
            accessor:
                getter: getCAPACertified
                setter: setCAPACertified
            type: string
        constructionType:
            expose: true
            access_type: public_method
            serialized_name: ConstructionType
            accessor:
                getter: getConstructionType
                setter: setConstructionType
            type: string
        euAcousticNoiseSymbol:
            expose: true
            access_type: public_method
            serialized_name: EuAcousticNoiseSymbol
            accessor:
                getter: getEuAcousticNoiseSymbol
                setter: setEuAcousticNoiseSymbol
            type: integer
        euFuelEfficiencyClass:
            expose: true
            access_type: public_method
            serialized_name: EuFuelEfficiencyClass
            accessor:
                getter: getEuFuelEfficiencyClass
                setter: setEuFuelEfficiencyClass
            type: string
        euTireClass:
            expose: true
            access_type: public_method
            serialized_name: EuTireClass
            accessor:
                getter: getEuTireClass
                setter: setEuTireClass
            type: string
        euWetGripClass:
            expose: true
            access_type: public_method
            serialized_name: EuWetGripClass
            accessor:
                getter: getEuWetGripClass
                setter: setEuWetGripClass
            type: string
        externalRollingNoise:
            expose: true
            access_type: public_method
            serialized_name: ExternalRollingNoise
            accessor:
                getter: getExternalRollingNoise
                setter: setExternalRollingNoise
            type: integer
        hollanderNumber:
            expose: true
            access_type: public_method
            serialized_name: HollanderNumber
            accessor:
                getter: getHollanderNumber
                setter: setHollanderNumber
            xml_list:
                inline: true
                entry_name: HollanderNumber
            type: array<string>
        lightBulbType:
            expose: true
            access_type: public_method
            serialized_name: LightBulbType
            accessor:
                getter: getLightBulbType
                setter: setLightBulbType
            type: string
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        loadIndex:
            expose: true
            access_type: public_method
            serialized_name: LoadIndex
            accessor:
                getter: getLoadIndex
                setter: setLoadIndex
            type: integer
        mfgWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionLabor
            accessor:
                getter: getMfgWarrantyDescriptionLabor
                setter: setMfgWarrantyDescriptionLabor
            type: string
        mfgWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionParts
            accessor:
                getter: getMfgWarrantyDescriptionParts
                setter: setMfgWarrantyDescriptionParts
            type: string
        mfgWarrantyDescriptionType:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionType
            accessor:
                getter: getMfgWarrantyDescriptionType
                setter: setMfgWarrantyDescriptionType
            type: string
        mirrorAdjustment:
            expose: true
            access_type: public_method
            serialized_name: MirrorAdjustment
            accessor:
                getter: getMirrorAdjustment
                setter: setMirrorAdjustment
            type: string
        mirrorDimmingFeature:
            expose: true
            access_type: public_method
            serialized_name: MirrorDimmingFeature
            accessor:
                getter: getMirrorDimmingFeature
                setter: setMirrorDimmingFeature
            type: string
        mirrorFolding:
            expose: true
            access_type: public_method
            serialized_name: MirrorFolding
            accessor:
                getter: getMirrorFolding
                setter: setMirrorFolding
            type: boolean
        mirrorHeated:
            expose: true
            access_type: public_method
            serialized_name: MirrorHeated
            accessor:
                getter: getMirrorHeated
                setter: setMirrorHeated
            type: boolean
        mirrorHousingIncluded:
            expose: true
            access_type: public_method
            serialized_name: MirrorHousingIncluded
            accessor:
                getter: getMirrorHousingIncluded
                setter: setMirrorHousingIncluded
            type: string
        mirrorLensCurvature:
            expose: true
            access_type: public_method
            serialized_name: MirrorLensCurvature
            accessor:
                getter: getMirrorLensCurvature
                setter: setMirrorLensCurvature
            type: string
        mirrorSpecialFeature:
            expose: true
            access_type: public_method
            serialized_name: MirrorSpecialFeature
            accessor:
                getter: getMirrorSpecialFeature
                setter: setMirrorSpecialFeature
            xml_list:
                inline: true
                entry_name: MirrorSpecialFeature
            type: array<string>
        mirrorTurnSignalIndicator:
            expose: true
            access_type: public_method
            serialized_name: MirrorTurnSignalIndicator
            accessor:
                getter: getMirrorTurnSignalIndicator
                setter: setMirrorTurnSignalIndicator
            type: string
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        oEMPartNumber:
            expose: true
            access_type: public_method
            serialized_name: OEMPartNumber
            accessor:
                getter: getOEMPartNumber
                setter: setOEMPartNumber
            xml_list:
                inline: true
                entry_name: OEMPartNumber
            type: array<string>
        offset:
            expose: true
            access_type: public_method
            serialized_name: Offset
            accessor:
                getter: getOffset
                setter: setOffset
            type: App\Library\Amazon\Classes\LengthDimensionType
        partTypeId:
            expose: true
            access_type: public_method
            serialized_name: part_type_id
            accessor:
                getter: getPartTypeId
                setter: setPartTypeId
            type: integer
        pARTSLINKNumber:
            expose: true
            access_type: public_method
            serialized_name: PARTSLINKNumber
            accessor:
                getter: getPARTSLINKNumber
                setter: setPARTSLINKNumber
            xml_list:
                inline: true
                entry_name: PARTSLINKNumber
            type: array<string>
        pitchCircleDiameter:
            expose: true
            access_type: public_method
            serialized_name: PitchCircleDiameter
            accessor:
                getter: getPitchCircleDiameter
                setter: setPitchCircleDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        rimDiameter:
            expose: true
            access_type: public_method
            serialized_name: RimDiameter
            accessor:
                getter: getRimDiameter
                setter: setRimDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        rimWidth:
            expose: true
            access_type: public_method
            serialized_name: RimWidth
            accessor:
                getter: getRimWidth
                setter: setRimWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        sectionWidth:
            expose: true
            access_type: public_method
            serialized_name: SectionWidth
            accessor:
                getter: getSectionWidth
                setter: setSectionWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        specificationMet:
            expose: true
            access_type: public_method
            serialized_name: SpecificationMet
            accessor:
                getter: getSpecificationMet
                setter: setSpecificationMet
            type: string
        speedRating:
            expose: true
            access_type: public_method
            serialized_name: SpeedRating
            accessor:
                getter: getSpeedRating
                setter: setSpeedRating
            type: string
        targetGender:
            expose: true
            access_type: public_method
            serialized_name: TargetGender
            accessor:
                getter: getTargetGender
                setter: setTargetGender
            type: string
        tireAspectRatio:
            expose: true
            access_type: public_method
            serialized_name: TireAspectRatio
            accessor:
                getter: getTireAspectRatio
                setter: setTireAspectRatio
            type: float
        tireType:
            expose: true
            access_type: public_method
            serialized_name: TireType
            accessor:
                getter: getTireType
                setter: setTireType
            type: string
        warnings:
            expose: true
            access_type: public_method
            serialized_name: Warnings
            accessor:
                getter: getWarnings
                setter: setWarnings
            type: string
        wheelBoreDiameter:
            expose: true
            access_type: public_method
            serialized_name: WheelBoreDiameter
            accessor:
                getter: getWheelBoreDiameter
                setter: setWheelBoreDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        windowRegulatorLiftType:
            expose: true
            access_type: public_method
            serialized_name: WindowRegulatorLiftType
            accessor:
                getter: getWindowRegulatorLiftType
                setter: setWindowRegulatorLiftType
            type: string
